Bug 426120 - Nouveau driver reports "wrong DRM version" and fails to load, kernel-xen
Nouveau driver reports "wrong DRM version" and fails to load, kernel-xen
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-18 12:53 EST by jujarian
Modified: 2009-01-09 02:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:32:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf from nouveau attempt #1 (994 bytes, text/plain)
2007-12-19 19:08 EST, jujarian
no flags Details
Xorg.0.log from nouveau attempt #1 (18.29 KB, text/plain)
2007-12-19 19:09 EST, jujarian
no flags Details

  None (edit)
Description jujarian 2007-12-18 12:53:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071213 Fedora/ Firefox/

Description of problem:
When trying to use the nouveau graphics driver, it fails to load with an error message (see pastebin link).

Compiling noveau and its kernel module, as well as the DRM kernel module from latest SVN as per http://nouveau.freedesktop.org/wiki/InstallNouveau fixes this, even though driver is unusable on my machine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau 2.1.5-2.fc8, kernel-xen 2.6.21-2952.fc8

How reproducible:

Steps to Reproduce:
1. install Fedora 8 and latest updates
2. select noveau driver in xorg.conf
3. run X

Actual Results:
X fails to start, error in Xorg log: 

(EE) NOUVEAU(0): wrong DRM version
(EE) NOUVEAU(0): 1435: 

Expected Results:
X should have started normally.

Additional info:
Comment 1 jujarian 2007-12-18 12:57:29 EST
modinfo drm
filename:       /lib/modules/2.6.21-2952.fc8xen/kernel/drivers/char/drm/drm.ko
license:        GPL and additional rights
description:    DRM shared core routines
author:         Gareth Hughes, Leif Delgass, José Fonseca, Jon Smirl
srcversion:     B208474EC5214EABCBF9DD9
vermagic:       2.6.21-2952.fc8xen SMP mod_unload 686 4KSTACKS
parm:           cards_limit:Maximum number of graphics cards (int)
parm:           debug:Enable debug output (int)
modinfo nouveau
filename:       /lib/modules/2.6.21-2952.fc8xen/kernel/drivers/char/drm/nouveau.ko
license:        GPL and additional rights
description:    nVidia Riva/TNT/GeForce
author:         Stephane Marchesin
srcversion:     2866D531F44DD3A86089B27
depends:        drm
vermagic:       2.6.21-2952.fc8xen SMP mod_unload 686 4KSTACKS 


lspci | grep VGA
00:0c.0 VGA compatible controller: nVidia Corporation NV5M64 [RIVA TNT2 Model
64/Model 64 Pro] (rev 15)
Comment 2 Dave Airlie 2007-12-18 18:32:54 EST
nouveau in the Xen kernel needs to be upgraded with the nouveau patches in the
F8 kernel... 

I'm not touching Xen kernels with a barge pole....
Comment 3 Matěj Cepl 2007-12-19 10:31:09 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 jujarian 2007-12-19 19:08:37 EST
Created attachment 290081 [details]
xorg.conf from nouveau attempt #1
Comment 5 jujarian 2007-12-19 19:09:18 EST
Created attachment 290082 [details]
Xorg.0.log from nouveau attempt #1
Comment 6 jujarian 2007-12-19 19:13:30 EST
Above are my xorg.conf and the log from my first attempt to use nouveau. I have
since replaced the graphics card, so i can't test it without an xorg.conf right

If you really need it i will do that as soon as possible, but Xorg will probably
choose the nv driver which works.
Comment 7 Matěj Cepl 2007-12-20 01:51:59 EST
Thanks, the above information is sufficient.
Comment 8 Charlie Brady 2008-01-19 22:08:11 EST
(In reply to comment #2)
> nouveau in the Xen kernel needs to be upgraded with the nouveau patches in the
> F8 kernel... 

How sooon might that happen?
Comment 9 Bug Zapper 2008-11-26 04:03:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-01-09 02:32:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.